@echo off
del %1.log
echo log > %1.log
dcc32 -cc chkt.dpr

for /d %%i in (..\%1\problems\*) do (
  pushd %%i
rem  call clean.cmd
  call buildTests.cmd
  popd
	pushd %%i\tests
	popd
	for %%j in (%%i\tests\??) do (
		call chkt %%j %1.log
	)
	pushd %%i\tests
rem	call clean.cmd
rem	call wipeall.cmd
  popd
)


del chkt.exe